{#
/**
 * @file
 * Default theme implementation to display a date pager.
 *
 * Available variables:
 * - pager: List of pager items.
 *   The list is keyed by the following elements:
 *   - date: Item for the date part.
 *   - time: Item for the time part; not always present
 *
 * @see template_preprocess_events_pager()
 *
 * @ingroup themeable
 */
#}

{{ attach_library('rg_events_pager/rg_events_pager') }}

{% if pager %}
  <nav class="pager date-pager" role="navigation" aria-labelledby="pagination-heading">
    <h4 id="pagination-heading" class="visually-hidden">{{ 'Pagination'|t }}</h4>
    <ul class="pager_items">
      {# Print first item if we are not on the first page. #}
      {% if pager_months %}
        {% if previous_month %}
          <li class="pager__item pager__item--previous">
            <a href=" {{ previous_month.url }}" class="month {{ previous_month.attributes.class }}">
              <i class="fa fa-angle-left"></i>
            </a>
          </li>
        {% endif %}

        {% for month in pager_months %}
          <li class="pager__item pager__item--previous">
            <a href=" {{ month.url }}" class="month {{ month.attributes.class }}">
                {#{{ month.title }}#}
              <span class="full-month">{{ month.timestamp|date("F Y") }}</span>
              <span class="short-month">{{ month.timestamp|date("M Y") }}</span>
            </a>
          </li>
        {% endfor %}

        {% if pager_next %}
          <li class="pager__item pager__item--next">
            <a href=" {{ pager_next.url }}" class="month {{ pager_next.attributes.class }}">
              <i class="fa fa-angle-right"></i>
            </a>
          </li>
        {% endif %}
      {% endif %}
    </ul>

  </nav>
{% endif %}